
Redmine - Feature #2334

Autocreate user account when user submits email that creates new issue

2008-12-13 05:58 - Grzegorz Kulewski

Status: Closed Start date: 2008-12-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

Some of my projects are working as a request tracking system and not all customers are pre-registered. So I would really like to see

an option to the email importer to autocreate account and accept the mail (and create new issue) when new from email address is

used. Same for adding comments to existing issues.

Of course the ability to merge such accounts with existing ones (if somebody used other email address and is already registered) is

welcomed too. So are easy deletes of such accounts in rare cases when the mail is SPAM.

Related issues:

Related to Redmine - Feature #3003: Better handling of unknown and aliased em... New 2009-03-18

Has duplicate Redmine - Feature #2609: mailhandler Closed 2009-01-28

History

#1 - 2009-03-02 10:02 - Kari Jääskeläinen

+1

#2 - 2009-04-29 21:47 - Matthew Duhan

+1

#3 - 2009-05-15 22:13 - Frotran Def

+1

#4 - 2009-05-18 17:49 - Daniel Jones

+1

#5 - 2009-05-18 17:53 - simon b

this is being also addressed in patch #3003 to some extent.

#6 - 2009-06-07 20:01 - Marcel Evenson

+1

#7 - 2009-06-10 04:07 - Paul Macdonnell

+1

#8 - 2009-11-28 13:20 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

#9 - 2009-11-28 14:54 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Implemented in r2789.
